@* navbar Template File *@
@(user : XucUser, brand : String)(implicit lang: Lang)
@import configuration.Config

<div class="collapse navbar-collapse"  ng-controller='AgentController' role="navigation">
    <div class="row">
        <ul class="nav navbar-nav">
            <li ng-show="showRecordingControls" ng-controller='MonitorStateController' class="btn-monitor" data-showrecord="@{Config.showRecordingControls}">
                <button ng-show="canUnpauseMonitor()" ng-click="monitorUnPause()" class="btn btn-danger {{monitorPause.color}}" id="monitorUnpauseButton">
                    <i class="glyphicon glyphicon-headphones glyphicon-play"></i>&nbsp;
                </button>
                <button ng-show="canPauseMonitor()" ng-click="monitorPause()" class="btn btn-danger {{monitorPause.color}}" id="monitorPauseButton">
                    <i class="glyphicon glyphicon-headphones glyphicon-stop"></i>&nbsp;
                </button>
            </li>
            <li>
                <img  class="user-image" src="@routes.Assets.at("images/man-face.svg")">
            </li>
            <li ng-controller="AgentUserController">
                <ul class="user-info">
                    <li id="userFullName" class="user-fullname">{{user.fullName}} <span class="agent-phonenb">({{agent.phoneNb}})</span></li>
                    <li ng-controller="AgentPauseController" id="agentStatus" class="agent-status">

                        <div ng-show="noStatuses()" ng-click="togglePause()" class="status-btn">
                            <i class="glyphicon glyphicon-headphones" ng-class="{'status-ready-btn' : canPause, 'status-pause-btn' : !canPause}" ng-show="noStatuses()"></i>
                            <span ng-controller="AgentListenController" ng-show="listened" class="">
                                <img  class="agentListen-image" src="@routes.Assets.at("images/Oreille.V6.svg")"></span>
                            &nbsp;
                            <span class="agent-state">{{agentState.name | translate}}</span>
                            <span class="agent-state-cause">{{agentState.cause}}</span>
                            <span class="agent-state-time">{{agentState.timeInState.toClockString()}}</span>
                        </div>
                        <div class="dropdown" ng-show="canPauseWithStatus()">
                            <a data-toggle="dropdown" ng-show="canPauseWithStatus()" id="notReadyStatus">
                                <i class="glyphicon glyphicon-headphones status-ready-btn"></i>
                                <span ng-controller="AgentListenController" ng-show="listened" class="">
                                    <img  class="agentListen-image" src="@routes.Assets.at("images/Oreille.V6.svg")"></span>
                                &nbsp;
                                <span class="agent-state">{{agentState.name | translate}}</span>
                                <span class="agent-state-cause">{{agentState.cause}}</span>
                                <span class="agent-state-time">{{agentState.timeInState.toClockString()}}</span>
                            </a>
                            <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                                <li role="presentation" class="not-ready-state" ng-click="updateStatus(status.name)" ng-repeat="status in notReadyStatuses | orderBy:'longName'">{{status.longName}}</li>
                            </ul>
                        </div>
                        <div class="dropdown" ng-show="canUnPauseWithStatus()">
                            <a data-toggle="dropdown" id="readyStatus">
                                <i class="glyphicon glyphicon-headphones status-pause-btn"></i>
                                <span ng-controller="AgentListenController" ng-show="listened" class="">
                                    <img  class="agentListen-image" src="@routes.Assets.at("images/Oreille.V6.svg")"></span>
                                &nbsp;
                                <span class="agent-state">{{agentState.name | translate}}</span>
                                <span class="agent-state-cause">{{agentState.cause}}</span>
                                <span class="agent-state-time">{{agentState.timeInState.toClockString()}}</span>
                            </a>
                            <ul class="dropdown-menu" role="menu" aria-labelledby="readyStatus">
                                <li role="presentation" class="not-ready-state" ng-click="updateStatus(status.name)" ng-repeat="status in readyStatuses | orderBy:'longName'">{{status.longName}}</li>
                            </ul>
                        </div>
                    </li>
                </ul>
            </li>
        </ul>
        <ul class="nav navbar-nav navbar-right navbar-vertical-center">
            <li>
                @phonebar()
            </li>
            <li>
                <div class="logoutBar" ng-click="logoutAgent()">
                    <a class="text-right" href="/agent"><span class="glyphicon glyphicon-off logoutSymbol"></span></a>
                </div>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="navbar navbar-default navbar-lower" ng-controller="AgentHeaderStatsView" role="navigation">
            <div class="container">
                <div ui-grid="gridOptions"
                     ui-i18n="@{lang.code}"
                     ui-grid-auto-resize>
                </div>
            </div>
        </div>
    </div>
</div>
